Subject: Re: AW: [PATCH]: [MPC5200] Add ATA DMA support

From: Matt Sealey <[email-masked]>
Date: Tue, 11 Nov 2008 10:16:45 -0600

Hmm even with DMA built in my disk (Seagate 5400.8) still "configured" for
PIO4.

This is probably my fault. Tim, could you respin the patch anyway since
it doesn't apply cleanly to the 2.6.27 kernel? :)

This did work for me once but we were still using a SUSE kernel (from
11.0) to patch it onto and another interrupt controller patch crippled
performance so it wasn't a really good test..

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Lehmann, Hans (Ritter Elektronik) wrote:
> We take a vanilla kernel with rt11 patches from Ingo Mollnar.
> 
> Here are the section of my boot messages
> 
> ata: MPC52xx IDE/ATA libata driver
> scsi0 : mpc52xx_ata
> ata1: PATA max UDMA/33 ata_regs 0xf0003a00 irq 135
> ata1.00: ATA-0: ELITE PRO CF CARD 1GB, 20070131, max MWDMA2
> ata1.00: 2031120 sectors, multi 0: LBA
> ata1.00: configured for MWDMA2
> ata1.00: configured for MWDMA2
> ata1: EH complete
> scsi 0:0:0:0: Direct-Access     ATA      ELITE PRO CF CAR 2007 PQ: 0 ANSI: 5
> sd 0:0:0:0: [sda] 2031120 512-byte hardware sectors (1040 MB)
> sd 0:0:0:0: [sda] Write Protect is off
> sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
> sd 0:0:0:0: [sda] 2031120 512-byte hardware sectors (1040 MB)
> sd 0:0:0:0: [sda] Write Protect is off
> sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
>  sda: sda1 
> 
> Greetings
> 
> Mit freundlichen Grüßen
> 
> Hans Lehmann
> Softwareentwicklung
> 
> Telefon	+49 (0)2191-67-2520
> Fax 	+49 (0)2191-67-703408
> e-mail 	[email-masked]
> 
> 
> 
> Ritter Elektronik GmbH
> Leverkuser Straße 65
> D-42897 Remscheid
> www.ritter-elektronik.de
> 
> Geschäftsführer: Manfred A. Wagner, Dr. Uwe Baader
> Sitz der Gesellschaft: Oberhausen
> HRB 17168 Duisburg  /  USt-ID DE 814009849
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: Matt Sealey [mailto:[email-masked]] Im Auftrag von Matt Sealey
> Gesendet: Dienstag, 11. November 2008 15:36
> An: Lehmann, Hans (Ritter Elektronik)
> Cc: Tim Yamin; Grant Likely; [email-masked]
> Betreff: Re: [PATCH]: [MPC5200] Add ATA DMA support
> 
> Oddly I built 2.6.27.2 with the patch and the Efika "waited" for a disk to appear and didn't get anywhere. If I set libata.dma=0 then it complained about missing symbols (but not with it enabled!).
> 
> This was a clean SUSE kernel from Factory, with only the ATA patch applied with a few hand-merges (pata_mpc52xx.c has had a line of whitespace removed at some point, but otherwise identical).
> 
> Lehmann, Hans (Ritter Elektronik) wrote:
>> Tim, Grant,
>>
>> I have tested the patch on our MPC5200B based board with Kingston Elite Pro CF-card and it worked fine with DMA2. I have port the patch back to 2.6.24.7 Kernel and I can't detect problems our errors, even with big files (40 mB) over FEC wich I save to card . We get performance up to 10,5mB/s which is near to the max. speed.
>>
>> Greetings
>>
>>
>>
>>
>> Mit freundlichen Grüßen
>>
>> Hans Lehmann
>> Softwareentwicklung
>>
>> Telefon	+49 (0)2191-67-2520
>> Fax 	+49 (0)2191-67-703408
>> e-mail 	[email-masked]
>>
>>
>>
>> Ritter Elektronik GmbH
>> Leverkuser Straße 65
>> D-42897 Remscheid
>> www.ritter-elektronik.de
>>
>> Geschäftsführer: Manfred A. Wagner, Dr. Uwe Baader Sitz der 
>> Gesellschaft: Oberhausen HRB 17168 Duisburg  /  USt-ID DE 814009849
>>
>>
>> -----Ursprüngliche Nachricht-----
>> Von: linuxppc-dev-bounces+hans.lehmann=[email-masked] 
>> [mailto:linuxppc-dev-bounces+hans.lehmann=ritter-elektronik.de@ozlabs.
>> org] Im Auftrag von Tim Yamin
>> Gesendet: Mittwoch, 13. August 2008 11:07
>> An: Grant Likely
>> Cc: [email-masked]
>> Betreff: [WW Spam: medium] Re: [PATCH]: [MPC5200] Add ATA DMA support
>>
>> On Wed, Aug 13, 2008 at 7:11 AM, Grant Likely <[email-masked]> wrote:
>>> Sounds good to me.  You will get more testers that way.  I can pick 
>>> it up for -next if everything else looks good.
>> Here are the new patches; tested against 2.6.27-rc3.
>>
>> Thanks,
>>
>> Tim
>>
>> _______________________________________________
>> Linuxppc-dev mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
> --
> Matt Sealey <[email-masked]>
> Genesi, Manager, Developer Relations
>